Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class SelectionRule

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.SelectionRule

public class SelectionRule
extends Object

Field Summary
`static String` | `cName`
`static int` | `LONG`
`static int` | `SHORT`

Constructor Summary
`SelectionRule(QualificationDiscountId id, DiscountRule ruleXML, RuleType type, List qualifierSpecs, List targetSpecs)` Use this constructor if the qualifier is NOT set based
`SelectionRule(QualificationDiscountId id, DiscountRule ruleXML, RuleType type, List qualifierSpecs, List targetSpecs, int setLimit)` Use this constructor if the qualifier is set based

Method Summary
`boolean` | `eachQualifier()`
`QualificationDiscountId` | `getID()`
`List` | `getQualifierSpecs()` valid for order rules only
`DiscountRule` | `getRule()`
`String` | `getRuleString()`
`int` | `getSetLimit()` valid for item rules only
`List` | `getTargetSpecs()`
`RuleType` | `getType()`
`boolean` | `isSet()` valid for item rules only
`String` | `toString()`
`String` | `toString(int control)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

See Also:
  Constant Field Values

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

Constructor Detail

### SelectionRule

    public SelectionRule(QualificationDiscountId id,
                         DiscountRule ruleXML,
                         RuleType type,
                         List qualifierSpecs,
                         List targetSpecs)

  Use this constructor if the qualifier is NOT set based

### SelectionRule

    public SelectionRule(QualificationDiscountId id,
                         DiscountRule ruleXML,
                         RuleType type,
                         List qualifierSpecs,
                         List targetSpecs,
                         int setLimit)

  Use this constructor if the qualifier is set based

Method Detail

### getType

    public RuleType getType()

### eachQualifier

    public boolean eachQualifier()

### getSetLimit

    public int getSetLimit()

  valid for item rules only

### isSet

    public boolean isSet()

  valid for item rules only

### getQualifierSpecs

    public List getQualifierSpecs()

  valid for order rules only

### getTargetSpecs

    public List getTargetSpecs()

### getID

    public QualificationDiscountId getID()

### getRule

    public DiscountRule getRule()

### getRuleString

    public String getRuleString()

### toString

    public String toString()

### toString

    public String toString(int control)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved